using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("双控库导入")]
    public class T_SK_LIBRARY_IMPORT_TEMP_NEW : MesEntityBase
    {
        [Description("顺序")]
        public int? NUM { get; set; }
        [Description("生产单元")]
        public string MineType { get; set; }
        [Description("辨识区域")]
        public string AREA_NAME { get; set; }
        [Description("风险名称")]
        public string RISK_NAME { get; set; }
        [Description("风险描述")]
        public string RISK_DESCRIPTION { get; set; }

        [Description("风险类别")]

        public string TYPE_NAME { get; set; }
        [Description("L")]

        public string EVALUATE_L { get; set; }
        [Description("E")]

        public string EVALUATE_E { get; set; }
        [Description("C")]

        public string EVALUATE_C { get; set; }
        [Description("D")]

        public string EVALUATE_SCORE { get; set; }
        [Description("风险等级")]

        public string EVALUATE_LEVEL { get; set; }

        [Description("管控措施")]
        [DataFieldLength(9999)]
        public string MEASURES_NAME { get; set; }
        [Description("管控层级")]
        public string DEPARTMENT_TYPE { get; set; }
        [Description("管控部门")]
        public string DEPARTMENT_NAME { get; set; }
        [Description("管控责任人")]
        public string DEPARTMENT_USER { get; set; }

        [Description("检查内容")]
        [DataFieldLength(9999)]
        public string CHECK_CONTENT { get; set; }

        [Description("检查依据")]
        public string CHECK_BASIC { get; set; }

        [Description("判定标准")]
        public string CHECK_STANDARD { get; set; }
        [Description("检查层级")]
        public string CHECK_LEVEL { get; set; }

        [Description("检查部门")]
        public string CHECK_DEPARTMENT { get; set; }
        [Description("检查岗位")]
        public string CHECK_POST { get; set; }
        [Description("检查类型")]
        public string CHECK_TYPE { get; set; }
        [Description("检查对象")]
        public string CHECK_OBJECT { get; set; }
        [Description("检查周期")]
        public string CHECK_CYCLE { get; set; }
        [Description("隐患描述")]
        [DataFieldLength(9999)]
        public string HIDDEN_DESCRIPTION { get; set; }
        [Description("隐患等级")]
        public string HIDDEN_LEVEL { get; set; }
        [Description("整改措施")]
        [DataFieldLength(9999)]
        public string HIDDEN_RECITIFY { get; set; }
    }
}
